<?php 

/***************************************************************************
 *                     template.php [ Blank Template MOD ]
 *                            -------------------
 *   Dbut                : 08-08-2004 
 *   Auteur               : Poupoune < poupoune@phpbb-fr.com >
 *   Contact              : http://php-tools.org/poupoune/
 *
 ***************************************************************************/

// standard hack prevent 
define('IN_PHPBB', true); 
$phpbb_root_path = './'; 
include($phpbb_root_path . 'extension.inc'); 
include($phpbb_root_path . 'common.'.$phpEx); 

// standard session management 
$page_template = - (intval($HTTP_GET_VARS['page']) + PAGE_TEMPLATE);
$userdata = session_pagestart($user_ip, $page_template); 
init_userprefs($userdata); 

// On rcupre les donnes
if( $HTTP_GET_VARS['page'] )
{
  $sql = "SELECT * FROM ". ADD_PAGES_TABLE ."
    WHERE page_id = ". intval($HTTP_GET_VARS['page']);
  if( !$result = $db->sql_query($sql) )
	{
	  message_die(GENERAL_ERROR, "Couldn't delete forum information!", "", __LINE__, __FILE__, $sql);
	} 
  if( $row = $db->sql_fetchrow($result) )
  {
    if( $userdata['session_logged_in'] )
    {
      if( ( $userdata['user_level'] == ADMIN ) || ( $userdata['user_level'] >= $row['page_auth'] ) )
      {
        // set page title 
        $page_title = $row['page_name']; 
        $page_content = $row['page_content'];
      }
      else
      {
        $message = sprintf($lang['Not_auth'], $lang['Moderators']);
        message_die(GENERAL_MESSAGE, $message);
      }
    }  
    else 
    {
      if( $row['user_auth'] != ANONYMOUS )
      {
        $message = sprintf($lang['Not_auth'], $lang['Users']);
        message_die(GENERAL_MESSAGE, $message);
      }
    } 
  }  
  else
  {
    $page_content = ''; 
    message_die(GENERAL_MESSAGE, $lang['No_page_exists']);
  }
}
else
{
  $page_content = ''; 
  message_die(GENERAL_MESSAGE, $lang['No_page_exists']);
}


// standard page header 
include($phpbb_root_path . 'includes/page_header.'.$phpEx); 

// assign template 
$template->set_filenames(array( 
        'body' => 'template.tpl') 
); 

$template->assign_vars( array(
    'PAGE_TITLE' => $page_title,
    'PAGE_CONTENT' => $page_content
  ));

$template->pparse('body'); 

// standard page footer 
include($phpbb_root_path . 'includes/page_tail.'.$phpEx); 

?>