<?php

/***************************************************************************
 *                     admin_add_pages.php [ Blank Template MOD ]
 *                            -------------------
 *   Dbut                : 08-08-2004 
 *   Auteur               : Poupoune < poupoune@phpbb-fr.com >
 *   Contact              : http://php-tools.org/poupoune/
 *
 ***************************************************************************/

define('IN_PHPBB', true);

if( !empty($setmodules) )
{
  $file = basename(__FILE__);
  $module['add_pages']['Configuration'] = "$file";
  return;
}

//
// Let's set the root dir for phpBB
$phpbb_root_path = "./../";
require($phpbb_root_path . 'extension.inc');
require('./pagestart.' . $phpEx);

//
// Start session management
//
$userdata = session_pagestart($user_ip, PAGE_INDEX);
init_userprefs($userdata);

$mode = 'add';
if( (isset( $HTTP_POST_VARS['add_page_submit']) ) || ( $HTTP_GET_VARS['mode'] == 'edit' ) || ( $HTTP_GET_VARS['mode'] == 'delete' ) )
{
  // Ajout d'une page
  if( isset( $HTTP_POST_VARS['add_page_submit']) )
  {
     // Permissions
    $auth_toggle = '<select name="page_auth">';
    for( $i = ANONYMOUS ; $i < MOD+1 ; $i++ )
      {
        if( $i != ADMIN )
        {
          $selected = ( $row['page_auth'] == $i ) ? ' selected="selected"' : '';
          $auth_toggle .= '<option value='. $i .'"'. $selected .'>';
      
          switch( $i )
          {
            case ANONYMOUS : $auth_name = $lang['Forum_ALL'];
              break;
            case USER : $auth_name = $lang['Forum_REG'];
              break;
            case MOD : $auth_name = $lang['Forum_MOD'];
              break;
          }
      
          $auth_toggle .= $auth_name .'</option>';
        }  
      }
      $auth_toggle .= '</select>';
    
    $template->set_filenames(array(
	    "body" => "admin/admin_edit_add_pages.tpl")
    );

    $template->assign_vars( array(
      'L_TITLE' => $lang['Add_page'],
      'L_EXPLAIN' => $lang['add_pages_explain'],
      'L_EDIT_PAGE' => $lang['Configuration'],
      'L_PAGE_NAME' => $lang['Page_name'],
      'PAGE_NAME' => $HTTP_POST_VARS['add_page'],      
      'L_PAGE_CONTENT' => $lang['Page_content'],
      'L_PAGE_CONTENT_EXPLAIN' => $lang['Page_content_explain'],
      //'PAGE_CONTENT' => $row['page_content'],
      'L_PAGE_AUTH' => $lang['Page_auth'],
      'L_PAGE_AUTH_EXPLAIN' => $lang['Page_auth_explain'],
      'PAGE_AUTH' => $auth_toggle,
      "L_SUBMIT" => $lang['Submit'], 
  	  "L_RESET" => $lang['Reset'] 
    ));
  }

  // Edition d'une page
  if( $HTTP_GET_VARS['mode'] == 'edit' )
  {
    $sql = "SELECT * FROM ". ADD_PAGES_TABLE ." 
      WHERE page_id = ". intval($HTTP_GET_VARS['id']);
    if ( !($result = $db->sql_query($sql)) )
    {
      message_die(GENERAL_ERROR, 'Could not obtain vote data for this topic', '', __LINE__, __FILE__, $sql);
    }

    while( $row = $db->sql_fetchrow($result) )
    {
      // Permissions
      $auth_toggle = '<select name="page_auth">';
      for( $i = ANONYMOUS ; $i < MOD+1 ; $i++ )
      {
        if( $i != ADMIN )
        {
          $selected = ( $row['page_auth'] == $i ) ? ' selected="selected"' : '';
          $auth_toggle .= '<option value='. $i .'"'. $selected .'>';
      
          switch( $i )
          {
            case ANONYMOUS : $auth_name = $lang['Forum_ALL'];
              break;
            case USER : $auth_name = $lang['Forum_REG'];
              break;
            case MOD : $auth_name = $lang['Forum_MOD'];
              break;
          }
      
          $auth_toggle .= $auth_name .'</option>';
        }  
      }
      $auth_toggle .= '</select>';
      
      $mode = 'edit';
    
      $template->set_filenames(array(
	      "body" => "admin/admin_edit_add_pages.tpl")
      );

      $template->assign_vars( array(
        'PAGE_NAME' => $row['page_name'],
        'L_TITLE' => $row['page_name'],
        'L_EXPLAIN' => $lang['edit_add_pages_explain'],
        'L_EDIT_PAGE' => $lang['edit_page'],
        'L_PAGE_NAME' => $lang['Page_name'],
        'L_PAGE_CONTENT' => $lang['Page_content'],
        'L_PAGE_CONTENT_EXPLAIN' => $lang['Page_content_explain'],
        'PAGE_CONTENT' => $row['page_content'],
        'L_PAGE_AUTH' => $lang['Page_auth'],
        'L_PAGE_AUTH_EXPLAIN' => $lang['Page_auth_explain'],
        'PAGE_AUTH' => $auth_toggle,
        "L_SUBMIT" => $lang['Submit'], 
    	  "L_RESET" => $lang['Reset'] 
      ));
    }
  }
  if( $HTTP_GET_VARS['mode'] == 'delete' )
  {  
    $sql = "DELETE FROM ". ADD_PAGES_TABLE ." 
      WHERE page_id = ". intval($HTTP_GET_VARS['id']);
    if ( !($result = $db->sql_query($sql)) )
    {
      message_die(GENERAL_ERROR, 'Could not obtain vote data for this topic', '', __LINE__, __FILE__, $sql);
    }
    
    $message = $lang['Deleted'] . "<br /><br />" . sprintf($lang['Click_return_adminaddpages'], "<a href=\"" . append_sid("admin_add_pages.$phpEx") . "\">", "</a>") . "<br /><br />" . sprintf($lang['Click_return_admin_index'], "<a href=\"" . append_sid("index.$phpEx?pane=right") . "\">", "</a>");
    
  message_die(GENERAL_MESSAGE, $message);
  }
}  

// On rcupre les donnes de la base
else{
  $sql = "SELECT * FROM ". ADD_PAGES_TABLE ." ORDER BY page_name ASC";
  if ( !($result = $db->sql_query($sql)) )
  {
    message_die(GENERAL_ERROR, 'Could not obtain vote data for this topic', '', __LINE__, __FILE__, $sql);
  }

  while( $row = $db->sql_fetchrow($result) )
  {
    $template->assign_block_vars('pages',array(
      'U_PAGE_NAME' => append_sid($phpbb_root_path. "template.$phpEx?page=". intval($row['page_id'])), 
      'PAGE_NAME' => stripslashes($row['page_name']),
      'U_EDIT' => "<a href=". append_sid("admin_add_pages.$phpEx?mode=edit&id=". intval($row['page_id'])) .">". $lang['Edit'] ."</a>",
      'U_DELETE' => "<a href=". append_sid("admin_add_pages.$phpEx?mode=delete&id=". intval($row['page_id'])) .">". $lang['Delete'] ."</a>"

    ));
  }

  $template->set_filenames(array(
	  "body" => "admin/admin_add_pages.tpl")
  );


  $template->assign_vars( array(
    'L_TITLE' => $lang['add_pages'],
    'L_EXPLAIN' => $lang['add_pages_explain'],
    'L_ADD_PAGES_TITLE' => $lang['added_pages'],
    'L_ADD_PAGES_NAME' => $lang['add_pages_name'],
    'L_MANAGE' => $lang['Manage'],
    'L_ADD_PAGE' => $lang['Add_page']
  ));
}

if( isset($HTTP_POST_VARS['submit']) )
{
  if( $HTTP_POST_VARS['page_name'] == '')
  {
    $message = $lang['No_name'] . '<br />';
    
    message_die(GENERAL_MESSAGE, $message);
  }
  switch( $mode )
  {
    case 'add' : $sql_max = "SELECT MAX(page_id) AS max_id
				FROM " . ADD_PAGES_TABLE;
			if( !$result_max = $db->sql_query($sql_max) )
			{
				message_die(GENERAL_ERROR, "Couldn't get order number from forums table", "", __LINE__, __FILE__, $sql);
			}
			$row_max = $db->sql_fetchrow($result_max);

			$max_id = $row_max['max_id'];
			$next_id = $max_id + 1;
      
      $sql2 = "INSERT INTO ". ADD_PAGES_TABLE ." 
        VALUES( $next_id, '". trim(addslashes($HTTP_POST_VARS['page_name'])) ."', '". $HTTP_POST_VARS['page_content'] ."', ". intval($HTTP_POST_VARS['page_auth']) .")";

      $mess = $lang['Added'];
      break;
    case 'edit' : $sql2 = "UPDATE ". ADD_PAGES_TABLE ." 
        SET page_name = '". trim(addslashes($HTTP_POST_VARS['page_name'])) ."', page_content = '". $HTTP_POST_VARS['page_content'] ."', page_auth = ". intval($HTTP_POST_VARS['page_auth']) ."
        WHERE page_id = ". intval($HTTP_GET_VARS['id']);
        
      $mess = $lang['Updated'];  
      break;
  }
     
  if ( !$db->sql_query($sql2) )
  {
    message_die(GENERAL_ERROR, 'Could not obtain vote data for this topic', '', __LINE__, __FILE__, $sql2);
  }   
  
  $message = $mess . "<br /><br />" . sprintf($lang['Click_return_adminaddpages'], "<a href=\"" . append_sid("admin_add_pages.$phpEx") . "\">", "</a>") . "<br /><br />" . sprintf($lang['Click_return_admin_index'], "<a href=\"" . append_sid("index.$phpEx?pane=right") . "\">", "</a>");
    
  message_die(GENERAL_MESSAGE, $message);
}
  


$template->pparse("body");

include('./page_footer_admin.'.$phpEx);

?>